package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.album.application.feign.AlbumJobHandleClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Component
public class AlbumUnLockJob implements BaseJob {

    private SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Autowired
    private AlbumJobHandleClient albumJobHandleClient;

    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("定时任务开始执行解锁课程，当前时间：" + format.format(new Date()));
        try {
            albumJobHandleClient.unLockCourse();
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("解锁课程失败=====================");
            XxlJobLogger.log(e);
            throw e;
        }
    }
}
