package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.job.PracticeJobClient;

@Component
public class ChatPracticeJob implements BaseJob {

	@Autowired
	private PracticeJobClient client;
	
	@Override
	public void execute() throws Exception {
		try{
        	XxlJobLogger.log("智能陪练任务，启动");
        	client.syncPracticeData(null, null);
        	XxlJobLogger.log("智能陪练任务，完毕");
        } catch(Exception e){
            XxlJobLogger.log("智能陪练任务，异常", e);
            throw e;
        }
	}

	public void executeParams(String data) {
		try{
			XxlJobLogger.log("智能陪练任务，启动"+data);
			String[] arr = data.split(",");
			client.syncPracticeData(arr[0], arr[1]);
			XxlJobLogger.log("智能陪练任务，完毕");
		} catch(Exception e){
			XxlJobLogger.log("智能陪练任务，异常", e);
			throw e;
		}
	}

}
