package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.library.application.feign.StatisticStudentCaseClient;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class CourseIntoTableJob implements BaseJob {

    @Autowired
    private StatisticsCourseClient statisticsCourseClient;
    @Autowired
    private StatisticStudentCaseClient statisticStudentCaseClient;

    @Override
    public void execute() throws Exception {
        try {
            XxlJobLogger.log("在线课程自动入表任务，启动");
            statisticsCourseClient.AsynchronousCourse(null, null);
            XxlJobLogger.log("在线课程自动入表任务，完毕");
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("在线课程自动入表任务，异常");
            throw e;
        }
        try {
            XxlJobLogger.log("学员案例自动入表任务，启动");
            statisticStudentCaseClient.insertAll();
            XxlJobLogger.log("学员案例自动入表任务，完毕");
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("学员案例自动入表任务，异常");
            throw e;
        }
    }

}
