/**
 * FileName: HttpSetjob
 * Author:   wenjunlong
 * Date:     2018/5/26 13:59
 * Description: 发送请求job
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.exam.application.feign.ExamQuestionApiClient;
import com.yizhi.exam.application.vo.exam.ExamAnswerVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时检查是否有过期的考试，有的话自动提交考试信息
 * @author mei
 * 
 */
@Component
public class ExamJob implements BaseJob {

    @Autowired
    ExamQuestionApiClient examQuestionApiClient;

    @Override
    public void execute() throws Exception {
        try{
        	XxlJobLogger.log("考试失效自动提交任务，启动");
        	ExamAnswerVO answerVo = new ExamAnswerVO();
        	examQuestionApiClient.jobSubmitExamLose(answerVo);
        	XxlJobLogger.log("考试失效自动提交任务，完毕");
        } catch(Exception e){
            e.printStackTrace();
            XxlJobLogger.log("考试失效自动提交任务，异常");
            throw e;
        }
    }

}
