package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.system.application.system.remote.OrganizationClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;

/**
 * @ClassName OrganizationJob
 * @Description 定时重置部门索引
 * @Author shengchenglong
 * @DATE 2019-04-10 14:59
 * @Version 1.0
 */
@Component
public class OrganizationJob implements BaseJob {

    private static final Logger LOGGER = LoggerFactory.getLogger(OrganizationJob.class);

    @Autowired
    private OrganizationClient organizationClient;

    @Override
    public void execute() throws Exception {
        // 重置所有企业部门索引
        XxlJobLogger.log("----------------开始 重建部门索引---------------------");
        organizationClient.rebuildOrgIndex(new ArrayList<>());
        XxlJobLogger.log("----------------完成 重建部门索引---------------------");
    }

}
