package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.core.application.cache.CacheNamespace;
import com.yizhi.system.application.system.remote.OrganizationClient;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import java.util.Set;

/**
 * @ClassName OrganizationRedisJob
 * @Description 定时重置部门索引
 * @Author shengchenglong
 * @DATE 2019-04-10 14:59
 * @Version 1.0
 */
@Component
public class OrganizationRedisJob implements BaseJob {

    @Autowired
    private OrganizationClient organizationClient;
    @Autowired
    private RedisTemplate redisTemplate;

    @Override
    public void execute() throws Exception {
        XxlJobLogger.log("----------------开始 redis 队列 重建部门索引 ---------------------");
        boolean continueFlag = true;
        Set set = null;
        Long companyId = null;
        try {
            while (continueFlag) {
                set = redisTemplate.opsForZSet().range(CacheNamespace.ORG_INDEX_INIT_KEY, 0, 10);
                if (CollectionUtils.isEmpty(set)) {
                    continueFlag = false;
                } else {
                    for (Object o : set) {
                        if (o == null) {
                            continue;
                        }
                        companyId = Long.valueOf(o.toString());
                        XxlJobLogger.log("----------------开始 redis 队列 重建部门索引 companyId: ---------------------" + companyId);
                        organizationClient.rebuildOrgIndexJob(companyId);
                        XxlJobLogger.log("----------------完成 redis 队列 重建部门索引 companyId: ---------------------" + companyId);
                        redisTemplate.opsForZSet().remove(CacheNamespace.ORG_INDEX_INIT_KEY, o);
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log(e);
            throw e;
        }
        XxlJobLogger.log("----------------结束 redis 队列 重建部门索引 ---------------------");
    }
}
