package com.yizhi.xxl.job.executor.service.job;

import com.alibaba.fastjson.JSONObject;
import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.point.application.feign.PointManageFeignClients;
import com.yizhi.statistics.application.feign.StatisticsPointClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

import java.util.List;

@Component
public class PointDetailsJob implements BaseJob {

	@Autowired
	private PointManageFeignClients pointManageFeignClients;
	
	@Override
	public void execute() throws Exception {

	}

	public void executeParams(String data) {
		XxlJobLogger.log("params:{}", data);
		if (data == null) {
			XxlJobLogger.log("更新所有用户");
			pointManageFeignClients.updatePointDetailsChangeAfter(null,null);
			return;
		}
		if (data.contains(",")) {
			String[] params = data.split(",");
			Long siteId = Long.valueOf(params[0]);
			Long accountId = Long.valueOf(params[1]);
			XxlJobLogger.log("更新指定站点:{}/指定用户:{}",siteId,accountId);
			pointManageFeignClients.updatePointDetailsChangeAfter(siteId,accountId);
			return;
		}
		Long siteId = Long.valueOf(data);
		XxlJobLogger.log("更新指定站点:{}",siteId);
		pointManageFeignClients.updatePointDetailsChangeAfter(siteId,null);
		return;


	}

}
