package com.yizhi.xxl.job.executor.service.job;

import com.alibaba.fastjson.JSONObject;
import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.StatisticsAlbumClientV2;
import com.yizhi.statistics.application.feign.StatisticsPointClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

@Component
public class PointJob implements BaseJob {

	@Autowired
	private StatisticsPointClient statisticsPointClient;
	
	@Override
	public void execute() throws Exception {
		try{
        	XxlJobLogger.log("积分任务，启动");
			statisticsPointClient.syncPointDetails(null,null,null,null);
        	XxlJobLogger.log("积分任务，完毕");
        } catch(Exception e){
            XxlJobLogger.log("积分任务，异常", e);
            throw e;
        }
	}

	public void executeParams(String data) {
		try{
			XxlJobLogger.log("积分任务，启动"+data);
			if (!StringUtils.isEmpty(data)){
				JSONObject jsonObject = JSONObject.parseObject(data);
				String startDate = jsonObject.getString("startDate");
				String endDate = jsonObject.getString("endDate");
				Long siteId = jsonObject.getLong("siteId");
				Long companyId = jsonObject.getLong("companyId");
				statisticsPointClient.syncPointDetails(startDate,endDate,companyId,siteId);
			}
			XxlJobLogger.log("积分任务，完毕");
		} catch(Exception e){
			XxlJobLogger.log("积分任务，异常", e);
			throw e;
		}
	}

}
