package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.research.application.feign.ResearchReportClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ResearchIntoTable implements BaseJob  {

	private final Logger LOG = LoggerFactory.getLogger(ResearchIntoTable.class);
	
	@Autowired
	private ResearchReportClient researchReportClient;

	@Override
	public void execute() throws Exception {
		try {
			XxlJobLogger.log("调研自动入表任务，启动");
			researchReportClient.asynchronousResearch("", "");
			XxlJobLogger.log("调研自动入表任务，完毕");
		} catch (Exception e) {
			e.printStackTrace();
			XxlJobLogger.log("调研自动入表任务，异常");
			throw e;
		}
		
	}

}
