package com.yizhi.xxl.job.executor.service.job;

import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.statistics.application.feign.StatisticsCourseClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 *
 * 处理发版培训项目数据库 tp_plan_activity，tp_student_project_record，tp_student_plan_record 数据丢失，手动跑批
 * @ClassName: StatisticsTrainingMakeUpJob
 * @author: zjl
 * @date: 2020/11/4  15:59
 */
@Component
public class StatisticsTrainingMakeUpJob implements BaseJob {
    @Autowired
    private StatisticsCourseClient statisticsCourseClient;

    public void executeParam(String params) throws Exception {
        try {
            String[] strings = params.split(",");
            XxlJobLogger.log("培训项目指定时间段跑批自动入表任务中" + "params:    " + params
                    + "    strings[]   " + strings);
            XxlJobLogger.log("培训项目指定时间段跑批自动入表任务，启动");

            statisticsCourseClient.AsynchronousCourseTraining(strings[0], strings[1]);
            XxlJobLogger.log("培训项目指定时间段跑批自动入表任务，完毕" + "params:    " + params
                    + "    strings[]   " + strings);
        } catch (Exception e) {
            e.printStackTrace();
            XxlJobLogger.log("培训项目指定时间段跑批自动入表任务，异常");
            throw e;
        }
    }

    @Override
    public void execute() throws Exception {

    }
}
