package com.yizhi.xxl.job.executor.service.jobhandler;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import com.xxl.job.core.log.XxlJobLogger;
import com.yizhi.xxl.job.executor.service.job.*;
import io.swagger.models.auth.In;
import org.apache.axis.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @ClassName BeanJobCenter
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2020/9/1 18:21
 * @Version 1.0
 */
@Component
public class BeanJobCenter {

    @Autowired
    private OrganizationRedisJob organizationRedisJob;
    @Autowired
    private WechatJob wechatJob;
    @Autowired
    private HttpSetjob httpSetjob;
    @Autowired
    private DashboardJob dashboardJob;
    @Autowired
    private AddMediaTranscodeJob addMediaTranscodeJob;
    @Autowired
    private OrganizationJob organizationJob;
    @Autowired
    private CourseStudyHourRankingJob courseStudyHourRankingJob;
    @Autowired
    private CourseIntoTableJob courseIntoTableJob;
    @Autowired
    private SydPointAcctranJob sydPointAcctranJob;
    @Autowired
    private AlbumUnLockJob albumUnLockJob;
    @Autowired
    private SendNewMessageJob sendNewMessageJob;
    @Autowired
    private ExamJob examJob;
    @Autowired
    private ExamInToTableJob examInToTableJob;
    @Autowired
    private SignInToTable signInToTable;
    @Autowired
    private StatisticsTrainingMakeUpJob statisticsTrainingMakeUpJob;
    @Autowired
    private StatisticsCourseStudyTimeUpdateJob statisticsCourseStudyTimeUpdateJob;
    @Autowired
    private CourseHandlerJob courseHandlerJob;
    @Autowired
    private StatisticsWorkJob statisticsWorkJob;


    @Autowired
    private ChatPracticeJob chatPracticeJob;
    @Autowired
    private LiveJob liveJob;
    @Autowired
    private StatisticsSystemAccountMakeUpJob statisticsSystemAccountMakeUpJob;
    @Autowired
    private AlbumJob albumJob;
    @Autowired
    private PointJob pointJob;
    @Autowired
    private PointDetailsJob pointDetailsJob;

    // 0 0/5 * * * ?
    @XxlJob("organizationRedisJob")
    public ReturnT<String> organizationRedisJob(String param) {
        try {
            organizationRedisJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0/30 * * * ?
    @XxlJob("wechatJob")
    public ReturnT<String> wechatJob(String param) {
        try {
            wechatJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0/1 * * * ?
    @XxlJob("httpSetjob")
    public ReturnT<String> httpSetjob(String param) {
        try {
            httpSetjob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 * * ?
    @XxlJob("dashboardJob")
    public ReturnT<String> dashboardJob(String param) {
        try {
            dashboardJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0/1 * * * ?
    @XxlJob("addMediaTranscodeJob")
    public ReturnT<String> addMediaTranscodeJob(String param) {
        try {
            addMediaTranscodeJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 1 * * ?
    @XxlJob("organizationJob")
    public ReturnT<String> organizationJob(String param) {
        try {
            organizationJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 4 * * ?
    @XxlJob("courseStudyHourRankingJob")
    public ReturnT<String> courseStudyHourRankingJob(String param) {
        try {
            courseStudyHourRankingJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ?
    @XxlJob("courseIntoTableJob")
    public ReturnT<String> courseIntoTableJob(String param) {
        try {
            courseIntoTableJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ? *
    @XxlJob("sydPointAcctranJob")
    public ReturnT<String> sydPointAcctranJob(String param) {
        try {
            sydPointAcctranJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 0/5 * * ? *
    @XxlJob("albumUnLockJob")
    public ReturnT<String> albumUnLockJob(String param) {
        try {
            albumUnLockJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0/5 * * * ? *
    @XxlJob("sendNewMessageJob")
    public ReturnT<String> sendNewMessageJob(String param) {
        try {
            sendNewMessageJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 */5 * * * ?
    @XxlJob("examJob")
    public ReturnT<String> examJob(String param) {
        try {
            examJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ?
    @XxlJob("examInToTableJob")
    public ReturnT<String> examInToTableJob(String param) {
        try {
            examInToTableJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ?
    @XxlJob("signInToTableJob")
    public ReturnT<String> signInToTableJob(String param) {
        try {
            signInToTable.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }


    // 0 0 2 1/1 * ?
    @XxlJob("statisticsTrainingMakeUpJob")
    public ReturnT<String>  statisticsTrainingMakeUpJob(String param) {
        try {
            statisticsTrainingMakeUpJob.executeParam(param);
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ?
    @XxlJob("statisticsCourseStudyTimeUpdateJob")
    public ReturnT<String>  statisticsCourseStudyTimeUpdateJob(String param) {
        try {
            statisticsCourseStudyTimeUpdateJob.executeParam(param);
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("chatPracticeJob")
    public ReturnT<String> chatPracticeJob(String param) {
        try {
            if (StringUtils.isEmpty(param)) {
                chatPracticeJob.execute();
            }else {
                chatPracticeJob.executeParams(param);
            }

        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    // 0 0 2 1/1 * ?
    @XxlJob("StatisticsSystemAccountMakeUpJob")
    public ReturnT<String>  statisticsSystemAccountMakeUpJob(String param) {
        try {
            statisticsSystemAccountMakeUpJob.executeParam(param);
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }
    @XxlJob("liveJob")
    public ReturnT<String> liveJob(String param) {
        try {
            liveJob.execute();
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }


    @XxlJob("albumJob")
    public ReturnT<String> albumJob(String param) {
        try {
            if (org.springframework.util.StringUtils.isEmpty(param)){
                albumJob.execute();
            }else {
                albumJob.executeParams(param);
            }
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("courseHandler")
    public ReturnT<String> courseHandler(String param) {
        courseHandlerJob.executeParams(param);
        return ReturnT.SUCCESS;
    }

    @XxlJob("statisticsWorkHandler")
    public ReturnT<String> statisticsWorkHandler(String param) {
        statisticsWorkJob.executeParam(param);
        return ReturnT.SUCCESS;
    }

    @XxlJob("pointJob")
    public ReturnT<String> pointJob(String param) {
        try {
            if (org.springframework.util.StringUtils.isEmpty(param)){
                pointJob.execute();
            }else {
                pointJob.executeParams(param);
            }
        } catch (Exception e) {
            e.printStackTrace();
            return new ReturnT<>(ReturnT.FAIL_CODE, e.getMessage());
        }
        return ReturnT.SUCCESS;
    }

    @XxlJob("pointDetailsAfter")
    public ReturnT<String> pointDetails(String param) {
        try {
            pointDetailsJob.executeParams(param);
        }catch (Exception e) {
            XxlJobLogger.log(e);
            return ReturnT.FAIL;
        }
        return ReturnT.SUCCESS;
    }

}
